Details

    • Type: Task
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 3.0
    • Fix Version/s: 3.1
    • Component/s: None
    • Labels:
      None

      Description

      The workaround [1] used to allow simple update from old 2.4 feature to new 3.0 feature has several limitations. The most important issue is that it will prevent update from 3.0 to 3.1.
      Another solution have to be found (see [2]).
      [1] https://github.com/SonarSource/sonar-eclipse/blob/master/org.sonar.ide.eclipse.jdt.feature/p2.inf
      [2] http://dev.eclipse.org/mhonarc/lists/tycho-user/msg03807.html

        Activity

        Hide
        henryju OLD - Julien HENRY added a comment -

        I have removed the p2 configuration allowing to update from 2.4 as it is too buggy. People wanting to update from 2.4 to 3.1 will have to uninstall 2.4 then install 3.1.

        Show
        henryju OLD - Julien HENRY added a comment - I have removed the p2 configuration allowing to update from 2.4 as it is too buggy. People wanting to update from 2.4 to 3.1 will have to uninstall 2.4 then install 3.1.
        Hide
        fabemn OLD - Fabrice Bellingard added a comment -

        I trust you on this Julien

        Show
        fabemn OLD - Fabrice Bellingard added a comment - I trust you on this Julien

          People

          • Assignee:
            henryju OLD - Julien HENRY
            Reporter:
            henryju OLD - Julien HENRY
          • Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: